# Podręcznik użytkownika &kde;

&Lauri.Watts;&Lauri.Watts.mail;
&Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;
10 września 2009
2.13 (&kde; 4.3.1)
K Desktop Environment
ark
1

# `ark`

Narzędzie archiwizujące dla &kde;

    ark -b -a -e -c -f  rozszerzenie -p -t  plik -d -o  katalog Opcje ogólne &kde; Opcje ogólne &Qt;

## Opis

&ark-mianownik; jest programem dla &kde;, służącym do operacji na różnych typach archiwów. Do tych operacji można zaliczyć przeglądanie, rozpakowywanie, tworzenie i modyfikację. Do typów archiwów można zaliczyć pliki tar, gzip, bzip2, zip, rar (o ile zainstalowane zostały odpowiednie narzędzia pracujące w trybie tekstowym).

## Tryby działania

&ark-mianownik; może być używany jako osobny program &GUI-dopelniacz; oraz jako program linii poleceń dla specyficznych zadań.

Jeśli wywołany bez opcji -b (--batch - tryb wsadowy) lub -c (-add - dodaj), &ark-mianownik; uruchomi się jako zwykły program &GUI-dopelniacz;.

Gdy użyta została opcja -b (--batch), &ark-mianownik; może zostać użyty do wypakowania zawartości jednego lub większej ilości plików bezpośrednio z linii poleceń, bez konieczności uruchamiania jego &GUI-dopelniacz;.

Gdy użyta została opcja -c (--add), &ark-mianownik; wymaga podania plików, które powinny być dodane do nowego lub istniejącego archiwum.

## Opcje

`-d, --dialog`

  Wyświetla okno celem określenia opcji operacji wsadowej lub dodawania.

`-o, --destination katalog`

  Ustaw domyślny katalog rozpakowania na katalog. Jeśli nieokreślone, bieżąca ścieżka zostanie użyta.

### Opcje przy dodawaniu plików

`-c, --add`

  Pyta o nazwę archiwum oraz dodaje do niego określone pliki. Wyłącza się po zakończeniu pracy.

`-t, --add-to nazwa_pliku`

  Dodaje określone pliki do nazwy_pliku. Tworzy archiwum, jeśli nie istnieje. Wyłącza się po zakończeniu pracy.

`-p, --changetofirstpath`

  Zmienia bieżący katalog na pierwszy element i dodaje wszystkie inne elementy w odniesieniu do tego elementu.

`-f, --autofilename rozszerzenie`

  Automatycznie wybiera nazwę_pliku z wybranym rozszerzeniem (na przykład: rar, tar.gz, zip i inne obsługiwane).

### Opcje dla wsadowego rozpakowywania

`b, --batch`

  Używa interfejsu wsadowego zamiast zwykłego okna. Ta opcja jest wymuszana, gdy występuje więcej URL-i niż jeden.

`-e, --autodestination`

  Katalog docelowy zostanie ustawione jako ścieżka pierwszego pliku wejściowego.

`-a, --autosubfolder`

  Zawartość archiwum zostanie odczytana i jeśli archiwum zawiera więcej katalogów, utworzony zostanie podkatalog na podstawie nazwy archiwum.

## Przykłady

``ark` `--batch` archiwum.tar.bz2`

  Rozpakuje archiwum.tar.bz2 do bieżącego katalogu bez wyświetlania &GUI-dopelniacz;.

``ark` `-b` `-d` archiwum.tar.bz2 archiwum2.zip`

  Wyświetli okno dialogowe opcji rozpakowywania, następnie wypakuje archiwum.tar.bz2 i archiwum2.zip do katalogu wybranego w tym oknie.

``ark` `--add-to` moje-archiwum.zip fotografia1.jpg tekst.txt`

  Utworzy moje-archiwum.zip, o ile takie nie istnieje oraz doda fotografię1.jpg i tekst.txt do niego.

## Autorzy

&ark-narzednik; opiekuje się aktualnie &Harald.Hvaal; &Harald.Hvaal.mail; i &Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;.

Ta strona manuala została napisana przez &Lauri.Watts; &Lauri.Watts.mail; w 2005 roku dla &kde; 3.4 i została zaktualizowana w 2009 przez &Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;.